Name:		lis
Version:	1.2.115
Release:	1%{?dist}
Summary:	A library for solving linear equations and eigenvalue problems
Group:		Applications/Engineering
License:	BSD
URL:		http://www.ssisc.org/lis/index.en.html
Source0:	http://infinity.cc.kyushu-u.ac.jp/lis/dl/lis-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	gcc-gfortran

%description
Lis, a Library of Iterative Solvers for linear systems, is a scalable parallel
library for solving systems of linear equations and standard eigenvalue
problems with real sparse matrices using iterative methods. 

%package bin
Summary:	lis executables
Group:		Applications/Engineering

%description bin
This package contains binaries shipped with the lis library.

%package devel
Summary:	Development headers and library for lis
Group:		Applications/Engineering
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Lis, a Library of Iterative Solvers for linear systems, is a scalable parallel
library for solving systems of linear equations and standard eigenvalue
problems with real sparse matrices using iterative methods. 

This package contains the development headers and library.

%package doc
Summary:	Developer documentation for lis
Group:		Documentation
%if 0%{?fedora} > 12 || 0%{?rhel} > 5
BuildArch:	noarch
%endif

%description doc
Lis, a Library of Iterative Solvers for linear systems, is a scalable parallel
library for solving systems of linear equations and standard eigenvalue
problems with real sparse matrices using iterative methods.

This package contains the developer documentation for lis.

%prep
%setup -q

%build
export CC=gcc
export F77=gfortran
export FC=gfortran

mkdir omp
cd omp
ln -s ../configure .
# SAAMG doesn't compile with GFortran, issue reported upstream.
%configure --disable-static --enable-shared --enable-omp --enable-quad --enable-saamg
#configure --disable-static --enable-shared --enable-omp --enable-quad
make %{?_smp_mflags}
cd ..

%install
rm -rf %{buildroot}
make -C omp install DESTDIR=%{buildroot}

# Get rid of .la file
rm %{buildroot}%{_libdir}/liblis.la

# Get rid of installed documentation
rm -rf %{buildroot}%{_docdir}
# .. and examples
rm -rf %{buildroot}%{_datadir}/examples
# and odd manfiles
rm -rf %{buildroot}%{_mandir}/man3/CHKERR.*

%clean
rm -rf %{buildroot}

%check
cp test/{testmat.mtx,defs,test.sh} omp/test/
cd omp/test
sh test.sh

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/liblis.so.*

%files bin
%defattr(-,root,root,-)
%{_bindir}/esolve
%{_bindir}/lsolve
%{_bindir}/spmvtest?
%{_mandir}/man1/esolve.1.*
%{_mandir}/man1/lsolve.1.*
%{_mandir}/man1/spmvtest?.1.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/lis.h
%{_includedir}/lis_config.h
%{_includedir}/lisf.h
%{_libdir}/liblis.so

%files doc
%defattr(-,root,root,-)
%doc COPYING doc/*.pdf
%{_mandir}/man3/lis*.3.*
%{_mandir}/man3/lis*.3f.*

%changelog
* Mon Sep 17 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.2.115-1
- Update to 1.2.115.

* Tue Aug 07 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.2.92-1
- Update to 1.2.92. Enabled SAMG.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.68-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 26 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.2.68-1
- Update to 1.2.68.

* Wed Jun 20 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.2.66-1
- Update to 1.2.66.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.58-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 22 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.2.58-1
- Update to 1.2.58.

* Tue Nov 08 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.2.56-1
- Update to 1.2.56.

* Wed Nov 02 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.2.54-1
- Update to 1.2.54.

* Sun Sep 18 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.2.53-3
- Include COPYING in -doc.

* Thu Sep 15 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.2.53-2
- Enabled quadruple precision support.

* Mon Sep 12 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.2.53-1
- First release.
